Bug Hunting Session
Bug 76646 - Other: Option “Ctrl-click required to follow hyperlinks“ does not influence hyperlinks in Draw and Impress
Summary: Other: Option “Ctrl-click required to follow hyperlinks“ does not influence h...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: low trivial
Assignee: Szymon Kłos
URL:
Whiteboard: BSA target:6.1.0
Keywords:
: 40679 (view as bug list)
Depends on:
Blocks: Hyperlink
  Show dependency treegraph
 
Reported: 2014-03-26 16:07 UTC by Harald Koester
Modified: 2018-08-29 13:43 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Harald Koester 2014-03-26 16:07:53 UTC
Problem description: 

Steps to reproduce:
[1] Open new Draw document.
[2] Check option “LibreOffice > Security > Options... > Ctrl-click required to follow hyperlinks“
[3] Create hyperlink: Menu > Insert > Hyperlink.
[4] Click on hyperlink. Link is opened in Browser. Expected: Link should only be opened with Ctrl+click on hyperlink.
[5] Uncheck option of step [2]. 
[6] Ctrl+Click on hyperlink. Link is opened in Browser. Expected: Link should only be opened with click on hyperlink.

The behavior is equal if you insert a hyperlink in a graphic element like e.g. a rectangle.

The behavior in Impress is identical. Also during a presentation the option has no influence.

To my opinion hyperlinks should work in the same way in all LibreOffice components (see also bug 51296).

Bug already exists in my oldest installed LibreOffice Version 3.5.0. Hence probably inherited from OpenOffice.

              
Operating System: Windows 7
Version: 4.2.1.1 release
Comment 1 Harald Koester 2014-03-26 16:58:31 UTC
Just found that this bug has been described already in bug 40679. 

Proposal: Close bug 40679, hence that bug also describes the same problem with Calc. The problem with Calc has been solved meanwhile (see bug 51296).

Additional Comment: Also tooltips of hyperlinks in Draw and Impress should behave equal to hyperlinks in Writer and Calc.
Comment 2 sophie 2014-04-09 09:29:32 UTC
*** Bug 40679 has been marked as a duplicate of this bug. ***
Comment 3 sophie 2014-04-09 09:31:20 UTC
Reproduced, change plateform to All - Set as New - Sophie
Comment 4 QA Administrators 2015-06-08 14:42:01 UTC Comment hidden (obsolete)
Comment 5 Harald Koester 2015-06-17 22:00:24 UTC
Bug still exists in version 4.4.3 with Win7.
Comment 6 QA Administrators 2017-05-22 13:19:22 UTC Comment hidden (obsolete)
Comment 7 Harald Koester 2017-05-24 10:33:56 UTC
Bug still exists in version 5.3.3.
Bug already exists in version 3.3.0. Hence inherited from OOo.
Comment 8 Tymoteusz Motylewski 2017-09-20 22:21:14 UTC
The bug still exists in Impress 5.4.
Would be great to see it fixed, as it's really pain right now to work with presentations with many hyperlinks in the text.
Comment 9 Commit Notification 2017-11-29 11:18:42 UTC
Szymon Kłos committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=209f48daebfebb6391282a1096e12b0f149ee1ce

tdf#76646 Ctrl-click required for hyperlinks in draw/impress

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2017-11-29 20:28:50 UTC
Szymon Kłos committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=04f17b2631adf874dc0269026f3fbad74330452b

tdf#76646 don't open link on Ctrl-click if not required

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Harald Koester 2018-08-29 13:43:44 UTC
Checked again with version 6.1.0 (64 bit, Win 10). LibreOffice works as expected now. Thanks for fixing.

Only the behaviour during a slide show is questionable. With a simple Click on a hyperlink the respective page is opened in the browser (Firefox) and the browser is in foreground. With a Ctrl + Click on a hyperlink the respective page is also opened, but the slide show is still in foreground. The option "Ctrl-click required to follow hyperlinks" does not influence this behaviour. May be this is intended. But to my opinion also in a slide show only "Click" or only "Ctrl + Click" should work dependent of the option's setting.